      function   ffl2 (inod, ibrn, time_flag)
c
c Define passed variables
c
      integer  inod, ibrn
c
c Calculates the flux in L2 (series).
c
      include 'zdemparm.h'
      include 'zdemmax.h'
      include 'zdemwork.h'
c
c    *If (time on the half step was requested)
      if (time_flag .eq. half_step) then
c
c       *Average value from last whole step and value from this whole step
         ffl2=0.5*(zir(inod,ibrn)+zirn(inod,ibrn)) * zlrechk(inod,ibrn)
c
c    *Else (time on the whole step was requested)
      else
c
c       *Return value on the current whole step
         ffl2 = zirn(inod,ibrn) * zlrechk(inod,ibrn)
c
      endif
c
      return
      end
